Bug 1083232 - Review Request: galera - Galera replication engine
Summary: Review Request: galera - Galera replication engine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lukas Bezdicka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1083234
TreeView+ depends on / blocked
 
Reported: 2014-04-01 18:07 UTC by Ryan O'Hara
Modified: 2014-05-08 10:10 UTC (History)
4 users (show)

Fixed In Version: galera-25.3.5-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-08 10:10:12 UTC
Type: ---
social: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ryan O'Hara 2014-04-01 18:07:36 UTC
Spec URL: http://rohara.fedorapeople.org/galera/galera.spec
SRPM URL: http://rohara.fedorapeople.org/galera/galera-25.3.5-1.fc20.src.rpm

Description: 
Galera is a fast synchronous multi-master wsrep provider (replication engine)
for transactional databases and similar applications. For more information
about wsrep API see http://launchpad.net/wsrep. For a description of Galera
replication engine see http://www.codership.com.

Fedora Account System Username: rohara

Comment 1 Ryan O'Hara 2014-04-01 18:11:36 UTC
Note that this is required for mariadb-galera (BZ#1083234).

Comment 2 Mukundan Ragavan 2014-04-01 18:18:26 UTC
I can review this before the end of this week. If you want this review faster, I can remove myself. :)

Comment 3 Lukas Bezdicka 2014-04-22 21:42:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSL (v1.0)", "GPL (v2)", "Unknown or generated". 503 files have unknown
     license. Detailed output of licensecheck in
     /home/social/Downloads/galera/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/doc/galera, /usr/lib64/galera
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/galera,
     /usr/lib64/galera
[?]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config(noreplace,missingok) /etc/sysconfig/garb
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[?]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 6 files.
[?]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: galera-25.3.5-1.fc20.x86_64.rpm
          galera-25.3.5-1.fc20.src.rpm
galera.x86_64: W: spelling-error Summary(en_US) multi -> mulch, mufti
galera.x86_64: W: spelling-error Summary(en_US) wsrep -> strep
galera.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
galera.x86_64: W: spelling-error %description -l en_US wsrep -> strep
galera.x86_64: W: spelling-error %description -l en_US transactional -> transaction, transnational, transitional
galera.x86_64: W: no-manual-page-for-binary garbd
galera.x86_64: W: no-manual-page-for-binary garbd-wrapper
galera.src: W: spelling-error Summary(en_US) multi -> mulch, mufti
galera.src: W: spelling-error Summary(en_US) wsrep -> strep
galera.src: W: spelling-error %description -l en_US multi -> mulch, mufti
galera.src: W: spelling-error %description -l en_US wsrep -> strep
galera.src: W: spelling-error %description -l en_US transactional -> transaction, transnational, transitional
galera.src: W: strange-permission garbd-wrapper 0755L
2 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint galera
galera.x86_64: W: spelling-error Summary(en_US) multi -> mulch, mufti
galera.x86_64: W: spelling-error Summary(en_US) wsrep -> strep
galera.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
galera.x86_64: W: spelling-error %description -l en_US wsrep -> strep
galera.x86_64: W: spelling-error %description -l en_US transactional -> transaction, transnational, transitional
galera.x86_64: W: no-manual-page-for-binary garbd
galera.x86_64: W: no-manual-page-for-binary garbd-wrapper
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
galera (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/sh
    config(galera)
    libboost_program_options.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libssl.so.10()(64bit)
    libssl.so.10(libssl.so.10)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    nmap-ncat
    rtld(GNU_HASH)
    systemd



Provides
--------
galera:
    config(galera)
    galera
    galera(x86-64)
    libgalera_smm.so()(64bit)



Unversioned so-files
--------------------
galera: /usr/lib64/galera/libgalera_smm.so

Source checksums
----------------
https://launchpad.net/galera/3.x/25.3.5/+download/galera-25.3.5-src.tar.gz :
  CHECKSUM(SHA256) this package     : 9e6d718bac9608c69cbfc0662963b29c13659c576aaa8469b6a325d75603f7a3
  CHECKSUM(SHA256) upstream package : 9e6d718bac9608c69cbfc0662963b29c13659c576aaa8469b6a325d75603f7a3


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --rpm-spec -n galera-25.3.5-1.fc20.src.rpm
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Lukas Bezdicka 2014-04-22 21:44:51 UTC
[?]: %build honors applicable compiler flags or justifies otherwise.
 - I'm not sure about scons usage in spec
[?]: %check is present and all tests pass.
 - source contains tests, not sure if relevant
[?]: Development files must be in a -devel package
 - probably not an issue

[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
 - please fix that.

Comment 5 Christopher Meng 2014-04-23 01:34:33 UTC
1. Who is the final reviewer?

2. Uh? [x]?

[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/doc/galera, /usr/lib64/galera
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/galera,
     /usr/lib64/galera

3. You can take the example of how we deal with scons:

http://pkgs.fedoraproject.org/cgit/libserf.git/tree/libserf.spec#n36

One single command in the gelera spec certainly can't cover everything.

Comment 6 Lukas Bezdicka 2014-04-23 07:42:47 UTC
(In reply to Christopher Meng from comment #5)
> 1. Who is the final reviewer?
I think it's irrelevant till there are issues with the spec, let's hope original reviewer will see by the time it's fixed.
> 
> 2. Uh? [x]?
Thanks, I'm blind or something. Sorry.
> 
> [x]: Package requires other packages for directories it uses.
>      Note: No known owner of /usr/share/doc/galera, /usr/lib64/galera
> [x]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/doc/galera,
>      /usr/lib64/galera
> 
> 3. You can take the example of how we deal with scons:
> 
> http://pkgs.fedoraproject.org/cgit/libserf.git/tree/libserf.spec#n36
> 
> One single command in the gelera spec certainly can't cover everything.
Than the spec should be fixed.


Also it would be nice to fix the urls for srpm and spec as I had to search for them.

Comment 7 Lukas Bezdicka 2014-04-24 17:11:34 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSL (v1.0)", "GPL (v2)", "Unknown or generated". 503 files have unknown
     license. Detailed output of licensecheck in
     /home/social/Downloads/galera/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config(noreplace,missingok) /etc/sysconfig/garb
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: galera-25.3.5-3.fc20.x86_64.rpm
          galera-25.3.5-3.fc20.src.rpm
galera.x86_64: W: spelling-error Summary(en_US) multi -> mulch, mufti
galera.x86_64: W: spelling-error Summary(en_US) wsrep -> strep
galera.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
galera.x86_64: W: spelling-error %description -l en_US wsrep -> strep
galera.x86_64: W: spelling-error %description -l en_US transactional -> transaction, transnational, transitional
galera.x86_64: W: no-manual-page-for-binary garbd
galera.x86_64: W: no-manual-page-for-binary garbd-wrapper
galera.src: W: spelling-error Summary(en_US) multi -> mulch, mufti
galera.src: W: spelling-error Summary(en_US) wsrep -> strep
galera.src: W: spelling-error %description -l en_US multi -> mulch, mufti
galera.src: W: spelling-error %description -l en_US wsrep -> strep
galera.src: W: spelling-error %description -l en_US transactional -> transaction, transnational, transitional
galera.src: W: strange-permission garbd-wrapper 0755L
2 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint galera
galera.x86_64: W: spelling-error Summary(en_US) multi -> mulch, mufti
galera.x86_64: W: spelling-error Summary(en_US) wsrep -> strep
galera.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
galera.x86_64: W: spelling-error %description -l en_US wsrep -> strep
galera.x86_64: W: spelling-error %description -l en_US transactional -> transaction, transnational, transitional
galera.x86_64: W: no-manual-page-for-binary garbd
galera.x86_64: W: no-manual-page-for-binary garbd-wrapper
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
galera (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/sh
    config(galera)
    libboost_program_options.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libssl.so.10()(64bit)
    libssl.so.10(libssl.so.10)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    nmap-ncat
    rtld(GNU_HASH)
    systemd



Provides
--------
galera:
    config(galera)
    galera
    galera(x86-64)
    libgalera_smm.so()(64bit)



Unversioned so-files
--------------------
galera: /usr/lib64/galera/libgalera_smm.so

Source checksums
----------------
https://launchpad.net/galera/3.x/25.3.5/+download/galera-25.3.5-src.tar.gz :
  CHECKSUM(SHA256) this package     : 9e6d718bac9608c69cbfc0662963b29c13659c576aaa8469b6a325d75603f7a3
  CHECKSUM(SHA256) upstream package : 9e6d718bac9608c69cbfc0662963b29c13659c576aaa8469b6a325d75603f7a3


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --rpm-spec -n galera-25.3.5-3.fc20.src.rpm
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG



Except %clean section which isn't blocker for this everytihg is fine.
File /usr/lib64/galera/libgalera_smm.so is more of an plugin.

Comment 8 Lukas Bezdicka 2014-04-24 17:20:28 UTC
jost for the record I reviewed this http://rohara.fedorapeople.org/galera/f20/galera-25.3.5-3.fc20.src.rpm

Comment 9 Ryan O'Hara 2014-04-24 17:24:49 UTC
Also note that this package is only useful if mariadb-galera is also approved (BZ#1083234).

Comment 10 Gwyn Ciesla 2014-04-25 20:10:16 UTC
No SCM request found.

Comment 11 Ryan O'Hara 2014-04-25 20:16:17 UTC
New Package SCM Request
=======================
Package Name: galera
Short Description: Synchronous multi-master wsrep provider (replication engine)
Owners: rohara
Branches: f20 el6 epel7
InitialCC: rohara

Comment 12 Ryan O'Hara 2014-04-25 20:25:02 UTC
(In reply to Jon Ciesla from comment #10)
> No SCM request found.

Sorry about that.

Comment 13 Gwyn Ciesla 2014-04-28 12:09:11 UTC
Git done (by process-git-requests).

Comment 14 Mukundan Ragavan 2014-04-28 13:05:01 UTC
Sorry, I had to be away for a while and couldn't take care of this review. My apologies. Glad to see everything has been taken care of.

Comment 15 Fedora Update System 2014-04-29 15:04:36 UTC
galera-25.3.5-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/galera-25.3.5-4.fc20

Comment 16 Fedora Update System 2014-04-29 15:04:45 UTC
galera-25.3.5-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/galera-25.3.5-5.el6

Comment 17 Fedora Update System 2014-04-29 19:49:50 UTC
Package galera-25.3.5-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing galera-25.3.5-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1280/galera-25.3.5-5.el6
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2014-05-08 10:10:12 UTC
galera-25.3.5-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.